# Generated by Django 5.1rc1 on 2024-08-02 01:20

import django.db.models.deletion
import django.db.models.manager
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("twitch_app", "0009_alter_benefit_entitlement_limit_and_more"),
    ]

    operations = [
        migrations.CreateModel(
            name="FrontEndChannel",
            fields=[
                ("id", models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name="ID")),
                ("name", models.TextField(blank=True, null=True)),
                ("twitch_url", models.URLField(blank=True, null=True)),
                ("live", models.BooleanField(default=False)),
            ],
            options={
                "abstract": False,
                "base_manager_name": "prefetch_manager",
            },
            managers=[
                ("objects", django.db.models.manager.Manager()),
                ("prefetch_manager", django.db.models.manager.Manager()),
            ],
        ),
        migrations.CreateModel(
            name="FrontEndGame",
            fields=[
                ("twitch_id", models.TextField(primary_key=True, serialize=False)),
                ("game_url", models.URLField(blank=True, null=True)),
                ("display_name", models.TextField(blank=True, null=True)),
            ],
            options={
                "abstract": False,
                "base_manager_name": "prefetch_manager",
            },
            managers=[
                ("objects", django.db.models.manager.Manager()),
                ("prefetch_manager", django.db.models.manager.Manager()),
            ],
        ),
        migrations.CreateModel(
            name="FrontEndOrg",
            fields=[
                ("id", models.TextField(primary_key=True, serialize=False)),
                ("name", models.TextField(blank=True, null=True)),
                ("url", models.TextField(blank=True, null=True)),
            ],
            options={
                "abstract": False,
                "base_manager_name": "prefetch_manager",
            },
            managers=[
                ("objects", django.db.models.manager.Manager()),
                ("prefetch_manager", django.db.models.manager.Manager()),
            ],
        ),
        migrations.AddField(
            model_name="game",
            name="box_art_url",
            field=models.URLField(blank=True, null=True),
        ),
        migrations.CreateModel(
            name="FrontEndDropCampaign",
            fields=[
                ("id", models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name="ID")),
                ("account_link_url", models.URLField(blank=True, null=True)),
                ("about_url", models.URLField(blank=True, null=True)),
                ("ends_at", models.DateTimeField(null=True)),
                ("starts_at", models.DateTimeField(null=True)),
                ("channels", models.ManyToManyField(related_name="drop_campaigns", to="twitch_app.frontendchannel")),
                (
                    "game",
                    models.ForeignKey(
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="drop_campaigns",
                        to="twitch_app.frontendgame",
                    ),
                ),
            ],
            options={
                "abstract": False,
                "base_manager_name": "prefetch_manager",
            },
            managers=[
                ("objects", django.db.models.manager.Manager()),
                ("prefetch_manager", django.db.models.manager.Manager()),
            ],
        ),
        migrations.CreateModel(
            name="FrontEndDrop",
            fields=[
                ("id", models.TextField(primary_key=True, serialize=False)),
                ("created_at", models.DateTimeField(null=True)),
                ("name", models.TextField(blank=True, null=True)),
                ("image_url", models.URLField(blank=True, null=True)),
                ("limit", models.PositiveBigIntegerField(null=True)),
                ("is_ios_available", models.BooleanField(null=True)),
                ("minutes_watched", models.PositiveBigIntegerField(null=True)),
                (
                    "drop_campaign",
                    models.ForeignKey(
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="drops",
                        to="twitch_app.frontenddropcampaign",
                    ),
                ),
            ],
            options={
                "abstract": False,
                "base_manager_name": "prefetch_manager",
            },
            managers=[
                ("objects", django.db.models.manager.Manager()),
                ("prefetch_manager", django.db.models.manager.Manager()),
            ],
        ),
        migrations.AddField(
            model_name="frontendgame",
            name="org",
            field=models.ForeignKey(
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                related_name="games",
                to="twitch_app.frontendorg",
            ),
        ),
    ]
